---
tags: repos
templateEngineOverride: md
title: team-cli
description: Automate all the things with a team-centric CLI. Abstract away annoying day-to-day tasks and eliminate tribal team knowledge by building your team their very own CLI.
date: 2019-09-01
---

[Fork on Github](https://github.com/q2ebanking/team-cli)

## team-cli

[![npm version](https://badge.fury.io/js/team-cli.svg)](https://badge.fury.io/js/team-cli)

A tool built for teams who are tired of passing around bash aliases, digging through getting started documentation or trying to memorize complex commands. With team-cli you can easily build your own [NodeJS powered](https://nodejs.org/en/) globally installed [npm](https://www.npmjs.com/) package complete with `--help` support.

Prentending our team name is **The Cool Kids** we can create the following team-cli of `cool`:

```bash
$ cool --help

Usage: index [options] [command]

Options:
  -h, --help   output usage information

Commands:
  start   Builds and serves application locally
  reset   Clears out local temp files, resetting to a clean state
  deploy <environment>  Builds and deploys application to specified environment
```

The sky is the limit here! What's great is that once a team member has the tool installed they can see what options are available to them in an interactive way without having to dig around for answers. Give it a try!

